# /etc/csh.cshrc: system-wide shell profile for
#  - all csh/tcsh

#  find out whether we are an interactive tcsh
#  interactive tcsh: set prompt according to UID and TERM

if ( `id -u` ) then
  set delim = ">"
else
  set delim = "#"
endif  

if ! ( $?0 && $?tcsh ) then
  bindkey "\e[1~" beginning-of-line  # Home
  bindkey "\e[7~" beginning-of-line  # Home rxvt
  bindkey "\e[2~" overwrite-mode     # Ins
  bindkey "\e[3~" delete-char        # Delete
  bindkey "\e[4~" end-of-line        # End
  bindkey "\e[8~" end-of-line        # End rxvt
  if ( "$?TERM" == "linux" ) then
    set prompt = "%U%m%u:%B%/%b"$delim" "
  else
    set prompt = "%U%m%u:"$delim" "
  endif
endif
